-- define a bunch of strings
set stringStartNote to "Commit's settings on this account will be deleted."
set stringEndNote to "Commit's settings have been deleted."
set stringMessage to "Next time you run Commit, it will be like starting it for the first time."
set stringErrorMessage to "No changes have been made to your system."


-- tell the user what we are going to do and give them a cancel option
display alert stringStartNote message stringMessage as informational buttons {"OK", "Cancel"} 
	default button "OK" cancel button "Cancel"

-- now we need to do the deletions; see handler
set clearResult to doSettingsDelete()

-- did it work or not? tell the user
if clearResult = true then
	display alert stringEndNote message stringMessage as informational
else
	display alert clearResult message stringErrorMessage as critical
end if


-- handler (function) for doing the actual settings delete
on doSettingsDelete()
	-- get the settings directory and settings file
	-- we go by file for safety; won't delete any files in the dir that aren't specified
	set commitSettingsDir to the POSIX path of (the POSIX path of (path to application support folder from user domain)) & "commit/"
	set commitSettingsFile to the POSIX path of (the POSIX path of (commitSettingsDir & "config.ini"))
	
	-- coercing a path to an alias fails if the dir/file does not exist
	-- so this is a check to see if the commit dir and ini file are both present before continuing
	try
		POSIX file commitSettingsDir as alias
		POSIX file commitSettingsFile as alias
	on error errMsg
		return "Commit settings not found."
	end try
	
	-- now delete the actual settings file; throw an error if it fails
	try
		do shell script "rm " & quoted form of commitSettingsFile as string
	on error errMsg
		return "Unable to delete Commit settings file. Is Commit running?"
	end try
	
	-- now delete the settings directory. It's okay if it fails (e.g., dir isn't empty)
	try
		do shell script "rmdir " & quoted form of commitSettingsDir as string
	end try
	
	-- everything that needed to work...worked. Back to the caller!
	return true
end doSettingsDelete